# Interface TwinfinityParserMetadata

Common properties set by the Twinfinity parsers (responsible for processing files such as .ifc and .dwg).

interface TwinfinityParserMetadata {
hasParseError: boolean;
status:
| "Unknown"
| "Processing"
| "Processed"
| "Failed"
| "NotSupported"
| "Timeout"
| "MemoryLimitExceeded"
| "Fatal";
}

#### Hierarchy (View Summary)

- TwinfinityParserMetadata
  - IfcMetadata
  - DwgMetadataBase

##### Index

### Properties

hasParseError
status

## Properties

### `Readonly` hasParseError

hasParseError: boolean

Set to `true` if the change has not been parsed correctly. For example if this happens for a .ifc or a .dwg file then it will not be possible to load the file.

### status

status:
| "Unknown"
| "Processing"
| "Processed"
| "Failed"
| "NotSupported"
| "Timeout"
| "MemoryLimitExceeded"
| "Fatal"

Indicates outcome of how the system processed, has not yet processed or is processing the IFC file.